### Struct

# Qmi MessageWdsSetAutoconnectSettingsInput

since: 1.14

#### Description [src]

    struct QmiMessageWdsSetAutoconnectSettingsInput {
      /* No available fields */
    }

The `QmiMessageWdsSetAutoconnectSettingsInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.14

#### Constructors

###### qmi_message_wds_set_autoconnect_settings_input_new

Allocates a new `QmiMessageWdsSetAutoconnectSettingsInput`.

since: 1.14

#### Instance methods

###### qmi_message_wds_set_autoconnect_settings_input_get_roaming

Get the ‘Roaming’ field from `self`.

since: 1.14

###### qmi_message_wds_set_autoconnect_settings_input_get_status

Get the ‘Status’ field from `self`.

since: 1.14

###### qmi_message_wds_set_autoconnect_settings_input_ref

Atomically increments the reference count of `self` by one.

since: 1.14

###### qmi_message_wds_set_autoconnect_settings_input_set_roaming

Set the ‘Roaming’ field in the message.

since: 1.14

###### qmi_message_wds_set_autoconnect_settings_input_set_status

Set the ‘Status’ field in the message.

since: 1.14

###### qmi_message_wds_set_autoconnect_settings_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.14